---
title: The Internet Today
sidebar_position: 2
---

# Rethinking the Internet

**The Three Layers Of The Internet**

![](../img/3layers.png)

The Internet is made up of 3 layers: 

1. Compute & Storage: this is where applications are being served from. Currently this system is highly centralized and runs from large data centers (see below).

2. Network: this is the ability for information to travel and it can be wireless, via cables (fiber) or satellite links etc. Currently information needs to travel very far and for most countries very little information is stored locally. A handful of companies own more than 80% of the current Internet's network capacity. 

3. Applications: currently applications are hosted in huge data centers using the compute and storage as provided. This system is too centralized and therefore very vulnerable.

ThreeFold is providing solutions for the first 2 layers and allows everyone else to build on top.

**Current Challenges**

Digital information mainly travels over large fiber backbone links as pictured here.

![](../img/global_net.png)

The Internet as we know it has significantly diverged from its original intent. If 2 people in e.g. Zanzibar (an Island in Africa) use Zoom with each other then the information will travel from Zanzibar to a large European datacenter where the Zoom servers are being hosted and back again.

This leads to very inneficient behavior, slower performance, less reliability and a cost which is higher than what it should be.

![](../img/network_path.png)

**Issues with Autonomy and Sovereignty**

Our current internet model compromises autonomy and sovereignty. Most data is stored in large data centers controlled by a few major corporations, effectively turning users into products.

![alt text](../img/we_are_products.png)


Moreover, the internet is replicated many times across various applications, each requiring its own full infrastructure. This approach is unsustainable and inefficient.

## The ThreeFold Cloud Engine resolves quite a lot of those issues

ThreeFold resolves

- reliability for data, data can never be corrupted nor lost
- reliability for network, connectivity should always be possible
- sovereignity
- scalability
- security
- locality
- cost
- management (easier to scale)


