---
sidebar_position: 1
description: ThreeFold is laying the foundation for Web4, the next generation of the Internet.
---

# Introduction
![](./img/dream_comes_true.png)

For over 20 years, through more than seven startups, ThreeFold has been developing an infrastructure base layer of software. This platform is ideal for any Decentralized Physical Infrastructure Network (DePIN) or Web 2/3 project to build upon.

This robust platform serves as a truly decentralized infrastructure base layer, designed to be hosted by everyone, for everyone.

## ThreeFold: The Base Layer for DePin and Web 2 and 3

![](./img/base_layer.png)

ThreeFold has developed a scalable, reliable, and efficient decentralized infrastructure base layer. 
This serves as the foundational base for any Decentralized Physical Infrastructure Network (DePin) or Web 3 application.

## Anyone can be a cloud service provider

![ThreeFold Node](./img/3node_simple.png)

**Getting started is easy:** Just get a ThreeFold node and connect it to the Internet.

Around the world, thousands of entities, from individuals to companies, have become ThreeFold farmers. They connect their computers, known as nodes, to the Internet and install our software. This allows them to provide GPU, compute, storage, and network capacity to the ThreeFold Grid.

Farmers have two options: they can either buy a ready-made node from our partners or build their own using our detailed DIY (Do It Yourself) guides.


## Usable by Everyone

![](./img/architecture_usage.png)

Our platform is designed for everyone, whether you are a developer, system administrator, or IT expert.

## Open Source Technology

All of our technology is open source and build by our tech company called TF9 and used to build the ThreeFold Grid. For more information, visit the [ThreeFold Website](https://www.threefold.io).

## Bridging the Web2, Web3, and Blockchain Worlds

ThreeFold acts as the essential layer connecting traditional web technologies with the new, decentralized Web3 and blockchain worlds.

![](./img/pathtoweb4.png)

## Scalability and Growth

Our system is designed to scale effortlessly, meeting the needs of a rapidly evolving digital landscape.

![](./img/scale.png)


